package com.realnet.basic.Services;
import java.util.*;
import com.realnet.basic.Repository.FrequencyRepository;
import com.realnet.basic.Entity.Frequency;

import com.realnet.basic.Entity.Frequency_ListFilter1;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
	import org.springframework.stereotype.Service;

@Service
 public class Frequency_ListFilter1Service {
@Autowired
private FrequencyRepository Repository;




 public   List<Frequency_ListFilter1>   getlistbuilder() {
	List<Frequency> list= Repository.findAll();
		ArrayList<Frequency_ListFilter1> l = new ArrayList<>();
		for (Frequency data : list) {
{	
Frequency_ListFilter1 dummy = new Frequency_ListFilter1();
			dummy.setId(data.getId());
  dummy.setName(data.getName());
	l.add(dummy);
} 
} 		
return l;}



 public   List<Frequency_ListFilter1>   getlistbuilderparam( ) {
	List<Frequency> list= Repository.findAll();
		ArrayList<Frequency_ListFilter1> l = new ArrayList<>();
		for (Frequency data : list) {
{	
Frequency_ListFilter1 dummy = new Frequency_ListFilter1();
			dummy.setId(data.getId());
  dummy.setName(data.getName());
	l.add(dummy);
} 
} 		
return l;}
}